Help! Upgrading from 2.3.1 to 2.5.0 With Errors!!!